Bug 11399 - /etc/rc.d/rc syntax error (?)
Summary: /etc/rc.d/rc syntax error (?)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-13 12:58 UTC by matthew.markopoulos
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-13 12:58:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matthew.markopoulos 2000-05-13 12:58:32 UTC
Line 35: [ "$1" != "" ] && runlevel="$argv1"

I don't see the logic of this command. After the 'set' command on line 17,
$1 will be the previous runlevel. Why test whether this is non-null before
assigning $argv1 to runlevel? Suggested syntax:

Line 35: [ -n "$argv1" ] && runlevel="$argv1"

--
Matthew Markopoulos

Comment 1 Bill Nottingham 2000-08-07 05:46:58 UTC
Thanks for the report; changed in 5.40-1.


Note You need to log in before you can comment on or make changes to this bug.